module ProudfootSpeyerHomotopy

using Oscar
using LinearAlgebra
using AbstractAlgebra
using HomotopyContinuation
using Random

export weight_deformation_for_poly,
create_point_of_M0m,
create_arrangement,
get_circuits,
get_weight,
get_Groebner_basis,
solve_start_system,
solve_PS,
check_submatrix,
type2_flats,
find_sols_in_xcoords,
are_projectively_equal,
projectively_unique


include("Utils.jl")
include("ScatteringEqs.jl")
include("PShomotopy.jl")

end